Changeset 8c17ab0 for Makefile.in


Ignore:
Timestamp:
Nov 13, 2014, 3:09:54 PM (10 years ago)
Author:
Peter A. Buhr <pabuhr@…>
Branches:
ADT, aaron-thesis, arm-eh, ast-experimental, cleanup-dtors, ctor, deferred_resn, demangler, enum, forall-pointer-decay, gc_noraii, jacob/cs343-translation, jenkins-sandbox, master, memory, new-ast, new-ast-unique-expr, new-env, no_list, persistent-indexer, pthread-emulation, qualifiedEnum, resolv-new, string, with_gc
Children:
c8ffe20b
Parents:
134b86a
Message:

add quoted identifiers, add compilation include directory, reformatted some files

File:
1 edited

Legend:

Unmodified
Added
Removed
  • Makefile.in

    r134b86a r8c17ab0  
    1 # Makefile.in generated by automake 1.6.3 from Makefile.am.
     1# Makefile.in generated by automake 1.11.3 from Makefile.am.
    22# @configure_input@
    33
    4 # Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
    5 # Free Software Foundation, Inc.
     4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
     5# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
     6# Foundation, Inc.
    67# This Makefile.in is free software; the Free Software Foundation
    78# gives unlimited permission to copy and/or distribute it,
     
    1415
    1516@SET_MAKE@
    16 SHELL = @SHELL@
    17 
    18 srcdir = @srcdir@
    19 top_srcdir = @top_srcdir@
    2017VPATH = @srcdir@
    21 prefix = @prefix@
    22 exec_prefix = @exec_prefix@
    23 
    24 bindir = @bindir@
    25 sbindir = @sbindir@
    26 libexecdir = @libexecdir@
    27 datadir = @datadir@
    28 sysconfdir = @sysconfdir@
    29 sharedstatedir = @sharedstatedir@
    30 localstatedir = @localstatedir@
    31 libdir = @libdir@
    32 infodir = @infodir@
    33 mandir = @mandir@
    34 includedir = @includedir@
    35 oldincludedir = /usr/include
    3618pkgdatadir = $(datadir)/@PACKAGE@
     19pkgincludedir = $(includedir)/@PACKAGE@
    3720pkglibdir = $(libdir)/@PACKAGE@
    38 pkgincludedir = $(includedir)/@PACKAGE@
    39 top_builddir = .
    40 
    41 ACLOCAL = @ACLOCAL@
    42 AUTOCONF = @AUTOCONF@
    43 AUTOMAKE = @AUTOMAKE@
    44 AUTOHEADER = @AUTOHEADER@
    45 
     21pkglibexecdir = $(libexecdir)/@PACKAGE@
    4622am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
    47 INSTALL = @INSTALL@
    48 INSTALL_PROGRAM = @INSTALL_PROGRAM@
    49 INSTALL_DATA = @INSTALL_DATA@
    5023install_sh_DATA = $(install_sh) -c -m 644
    5124install_sh_PROGRAM = $(install_sh) -c
    5225install_sh_SCRIPT = $(install_sh) -c
    53 INSTALL_SCRIPT = @INSTALL_SCRIPT@
    5426INSTALL_HEADER = $(INSTALL_DATA)
    55 transform = @program_transform_name@
     27transform = $(program_transform_name)
    5628NORMAL_INSTALL = :
    5729PRE_INSTALL = :
     
    6032PRE_UNINSTALL = :
    6133POST_UNINSTALL = :
    62 
    63 EXEEXT = @EXEEXT@
    64 OBJEXT = @OBJEXT@
    65 PATH_SEPARATOR = @PATH_SEPARATOR@
     34subdir = .
     35DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
     36        $(srcdir)/Makefile.in $(srcdir)/config.h.in \
     37        $(top_srcdir)/configure $(top_srcdir)/driver/Makefile.in \
     38        $(top_srcdir)/libcfa/Makefile.in \
     39        $(top_srcdir)/translator/Makefile.in AUTHORS COPYING ChangeLog \
     40        INSTALL NEWS install-sh missing mkinstalldirs
     41ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
     42am__aclocal_m4_deps = $(top_srcdir)/configure.in
     43am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
     44        $(ACLOCAL_M4)
     45am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
     46 configure.lineno config.status.lineno
     47mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
     48CONFIG_HEADER = config.h
     49CONFIG_CLEAN_FILES = translator/Makefile driver/Makefile \
     50        libcfa/Makefile
     51CONFIG_CLEAN_VPATH_FILES =
     52SOURCES =
     53DIST_SOURCES =
     54RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
     55        html-recursive info-recursive install-data-recursive \
     56        install-dvi-recursive install-exec-recursive \
     57        install-html-recursive install-info-recursive \
     58        install-pdf-recursive install-ps-recursive install-recursive \
     59        installcheck-recursive installdirs-recursive pdf-recursive \
     60        ps-recursive uninstall-recursive
     61RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
     62  distclean-recursive maintainer-clean-recursive
     63AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
     64        $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
     65        distdir dist dist-all distcheck
     66ETAGS = etags
     67CTAGS = ctags
     68DIST_SUBDIRS = $(SUBDIRS)
     69DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
     70distdir = $(PACKAGE)-$(VERSION)
     71top_distdir = $(distdir)
     72am__remove_distdir = \
     73  if test -d "$(distdir)"; then \
     74    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
     75      && rm -rf "$(distdir)" \
     76      || { sleep 5 && rm -rf "$(distdir)"; }; \
     77  else :; fi
     78am__relativize = \
     79  dir0=`pwd`; \
     80  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
     81  sed_rest='s,^[^/]*/*,,'; \
     82  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
     83  sed_butlast='s,/*[^/]*$$,,'; \
     84  while test -n "$$dir1"; do \
     85    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
     86    if test "$$first" != "."; then \
     87      if test "$$first" = ".."; then \
     88        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
     89        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
     90      else \
     91        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
     92        if test "$$first2" = "$$first"; then \
     93          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
     94        else \
     95          dir2="../$$dir2"; \
     96        fi; \
     97        dir0="$$dir0"/"$$first"; \
     98      fi; \
     99    fi; \
     100    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
     101  done; \
     102  reldir="$$dir2"
     103DIST_ARCHIVES = $(distdir).tar.gz
     104GZIP_ENV = --best
     105distuninstallcheck_listfiles = find . -type f -print
     106am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
     107  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
     108distcleancheck_listfiles = find . -type f -print
     109ACLOCAL = @ACLOCAL@
    66110AMTAR = @AMTAR@
     111AUTOCONF = @AUTOCONF@
     112AUTOHEADER = @AUTOHEADER@
     113AUTOMAKE = @AUTOMAKE@
    67114AWK = @AWK@
    68 
    69115BACKEND_CC = @BACKEND_CC@
    70116CC = @CC@
     117CCDEPMODE = @CCDEPMODE@
    71118CFA_BINDIR = @CFA_BINDIR@
     119CFA_INCDIR = @CFA_INCDIR@
    72120CFA_LIBDIR = @CFA_LIBDIR@
    73121CFA_PREFIX = @CFA_PREFIX@
     122CFLAGS = @CFLAGS@
     123CPP = @CPP@
     124CPPFLAGS = @CPPFLAGS@
    74125CPP_PATH = @CPP_PATH@
    75126CXX = @CXX@
     127CXXDEPMODE = @CXXDEPMODE@
     128CXXFLAGS = @CXXFLAGS@
     129CYGPATH_W = @CYGPATH_W@
     130DEFS = @DEFS@
    76131DEPDIR = @DEPDIR@
     132ECHO_C = @ECHO_C@
     133ECHO_N = @ECHO_N@
     134ECHO_T = @ECHO_T@
     135EGREP = @EGREP@
     136EXEEXT = @EXEEXT@
    77137GCC_PATH = @GCC_PATH@
     138GREP = @GREP@
     139INSTALL = @INSTALL@
     140INSTALL_DATA = @INSTALL_DATA@
     141INSTALL_PROGRAM = @INSTALL_PROGRAM@
     142INSTALL_SCRIPT = @INSTALL_SCRIPT@
    78143INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
     144LDFLAGS = @LDFLAGS@
    79145LEX = @LEX@
    80146LEXLIB = @LEXLIB@
    81147LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
     148LIBOBJS = @LIBOBJS@
     149LIBS = @LIBS@
     150LTLIBOBJS = @LTLIBOBJS@
     151MAKEINFO = @MAKEINFO@
     152MKDIR_P = @MKDIR_P@
     153OBJEXT = @OBJEXT@
    82154PACKAGE = @PACKAGE@
     155PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
     156PACKAGE_NAME = @PACKAGE_NAME@
     157PACKAGE_STRING = @PACKAGE_STRING@
     158PACKAGE_TARNAME = @PACKAGE_TARNAME@
     159PACKAGE_URL = @PACKAGE_URL@
     160PACKAGE_VERSION = @PACKAGE_VERSION@
     161PATH_SEPARATOR = @PATH_SEPARATOR@
     162SET_MAKE = @SET_MAKE@
     163SHELL = @SHELL@
    83164STRIP = @STRIP@
    84165VERSION = @VERSION@
    85166YACC = @YACC@
     167YFLAGS = @YFLAGS@
     168abs_builddir = @abs_builddir@
     169abs_srcdir = @abs_srcdir@
     170abs_top_builddir = @abs_top_builddir@
     171abs_top_srcdir = @abs_top_srcdir@
     172ac_ct_CC = @ac_ct_CC@
     173ac_ct_CXX = @ac_ct_CXX@
    86174am__include = @am__include@
     175am__leading_dot = @am__leading_dot@
    87176am__quote = @am__quote@
     177am__tar = @am__tar@
     178am__untar = @am__untar@
     179bindir = @bindir@
     180build_alias = @build_alias@
     181builddir = @builddir@
     182datadir = @datadir@
     183datarootdir = @datarootdir@
     184docdir = @docdir@
     185dvidir = @dvidir@
     186exec_prefix = @exec_prefix@
     187host_alias = @host_alias@
     188htmldir = @htmldir@
     189includedir = @includedir@
     190infodir = @infodir@
    88191install_sh = @install_sh@
     192libdir = @libdir@
     193libexecdir = @libexecdir@
     194localedir = @localedir@
     195localstatedir = @localstatedir@
     196mandir = @mandir@
     197mkdir_p = @mkdir_p@
     198oldincludedir = @oldincludedir@
     199pdfdir = @pdfdir@
     200prefix = @prefix@
    89201preludedir = @preludedir@
     202program_transform_name = @program_transform_name@
     203psdir = @psdir@
     204sbindir = @sbindir@
     205sharedstatedir = @sharedstatedir@
     206srcdir = @srcdir@
     207sysconfdir = @sysconfdir@
     208target_alias = @target_alias@
     209top_build_prefix = @top_build_prefix@
     210top_builddir = @top_builddir@
     211top_srcdir = @top_srcdir@
    90212SUBDIRS = translator driver libcfa
    91213
    92214# non-source files
    93215EXTRA_DIST = Docs
    94 subdir = .
    95 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
    96 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
    97 CONFIG_HEADER = config.h
    98 CONFIG_CLEAN_FILES = translator/Makefile driver/Makefile libcfa/Makefile
    99 DIST_SOURCES =
    100 
    101 RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
    102         uninstall-info-recursive all-recursive install-data-recursive \
    103         install-exec-recursive installdirs-recursive install-recursive \
    104         uninstall-recursive check-recursive installcheck-recursive
    105 DIST_COMMON = README AUTHORS COPYING ChangeLog INSTALL Makefile.am \
    106         Makefile.in NEWS acconfig.h aclocal.m4 config.h.in configure \
    107         configure.in install-sh missing mkinstalldirs
    108 DIST_SUBDIRS = $(SUBDIRS)
    109216all: config.h
    110217        $(MAKE) $(AM_MAKEFLAGS) all-recursive
    111218
    112219.SUFFIXES:
    113 
    114 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
    115  configure.lineno
    116 $(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
    117         cd $(top_srcdir) && \
    118           $(AUTOMAKE) --gnu  Makefile
    119 Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
    120         cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)
    121 
    122 $(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
     220am--refresh: Makefile
     221        @:
     222$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
     223        @for dep in $?; do \
     224          case '$(am__configure_deps)' in \
     225            *$$dep*) \
     226              echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
     227              $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
     228                && exit 0; \
     229              exit 1;; \
     230          esac; \
     231        done; \
     232        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
     233        $(am__cd) $(top_srcdir) && \
     234          $(AUTOMAKE) --gnu Makefile
     235.PRECIOUS: Makefile
     236Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
     237        @case '$?' in \
     238          *config.status*) \
     239            echo ' $(SHELL) ./config.status'; \
     240            $(SHELL) ./config.status;; \
     241          *) \
     242            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
     243            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
     244        esac;
     245
     246$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
    123247        $(SHELL) ./config.status --recheck
    124 $(srcdir)/configure:  $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
    125         cd $(srcdir) && $(AUTOCONF)
    126 
    127 $(ACLOCAL_M4):  configure.in
    128         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
     248
     249$(top_srcdir)/configure:  $(am__configure_deps)
     250        $(am__cd) $(srcdir) && $(AUTOCONF)
     251$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
     252        $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
     253$(am__aclocal_m4_deps):
    129254
    130255config.h: stamp-h1
    131         @if test ! -f $@; then \
    132           rm -f stamp-h1; \
    133           $(MAKE) stamp-h1; \
    134         else :; fi
     256        @if test ! -f $@; then rm -f stamp-h1; else :; fi
     257        @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi
    135258
    136259stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
    137260        @rm -f stamp-h1
    138261        cd $(top_builddir) && $(SHELL) ./config.status config.h
    139 
    140 $(srcdir)/config.h.in:  $(top_srcdir)/configure.in $(ACLOCAL_M4) $(top_srcdir)/acconfig.h
    141         cd $(top_srcdir) && $(AUTOHEADER)
    142         touch $(srcdir)/config.h.in
     262$(srcdir)/config.h.in:  $(am__configure_deps)
     263        ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
     264        rm -f stamp-h1
     265        touch $@
    143266
    144267distclean-hdr:
     
    150273libcfa/Makefile: $(top_builddir)/config.status $(top_srcdir)/libcfa/Makefile.in
    151274        cd $(top_builddir) && $(SHELL) ./config.status $@
    152 uninstall-info-am:
    153275
    154276# This directory's subdirectories are mostly independent; you can cd
     
    159281# (2) otherwise, pass the desired values on the `make' command line.
    160282$(RECURSIVE_TARGETS):
    161         @set fnord $$MAKEFLAGS; amf=$$2; \
     283        @fail= failcom='exit 1'; \
     284        for f in x $$MAKEFLAGS; do \
     285          case $$f in \
     286            *=* | --[!k]*);; \
     287            *k*) failcom='fail=yes';; \
     288          esac; \
     289        done; \
    162290        dot_seen=no; \
    163291        target=`echo $@ | sed s/-recursive//`; \
     
    170298            local_target="$$target"; \
    171299          fi; \
    172           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
    173            || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
     300          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
     301          || eval $$failcom; \
    174302        done; \
    175303        if test "$$dot_seen" = "no"; then \
     
    177305        fi; test -z "$$fail"
    178306
    179 mostlyclean-recursive clean-recursive distclean-recursive \
    180 maintainer-clean-recursive:
    181         @set fnord $$MAKEFLAGS; amf=$$2; \
     307$(RECURSIVE_CLEAN_TARGETS):
     308        @fail= failcom='exit 1'; \
     309        for f in x $$MAKEFLAGS; do \
     310          case $$f in \
     311            *=* | --[!k]*);; \
     312            *k*) failcom='fail=yes';; \
     313          esac; \
     314        done; \
    182315        dot_seen=no; \
    183316        case "$@" in \
     
    199332            local_target="$$target"; \
    200333          fi; \
    201           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
    202            || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
     334          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
     335          || eval $$failcom; \
    203336        done && test -z "$$fail"
    204337tags-recursive:
    205338        list='$(SUBDIRS)'; for subdir in $$list; do \
    206           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
     339          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
    207340        done
    208 
    209 ETAGS = etags
    210 ETAGSFLAGS =
    211 
    212 tags: TAGS
     341ctags-recursive:
     342        list='$(SUBDIRS)'; for subdir in $$list; do \
     343          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
     344        done
    213345
    214346ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
     
    217349            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    218350          done | \
    219           $(AWK) '    { files[$$0] = 1; } \
    220                END { for (i in files) print i; }'`; \
     351          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
     352              END { if (nonempty) { for (i in files) print i; }; }'`; \
    221353        mkid -fID $$unique
     354tags: TAGS
    222355
    223356TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
    224357                $(TAGS_FILES) $(LISP)
    225         tags=; \
     358        set x; \
    226359        here=`pwd`; \
     360        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
     361          include_option=--etags-include; \
     362          empty_fix=.; \
     363        else \
     364          include_option=--include; \
     365          empty_fix=; \
     366        fi; \
    227367        list='$(SUBDIRS)'; for subdir in $$list; do \
    228368          if test "$$subdir" = .; then :; else \
    229             test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
     369            test ! -f $$subdir/TAGS || \
     370              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
    230371          fi; \
    231372        done; \
     
    234375            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    235376          done | \
    236           $(AWK) '    { files[$$0] = 1; } \
    237                END { for (i in files) print i; }'`; \
    238         test -z "$(ETAGS_ARGS)$$tags$$unique" \
    239           || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
    240              $$tags $$unique
     377          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
     378              END { if (nonempty) { for (i in files) print i; }; }'`; \
     379        shift; \
     380        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
     381          test -n "$$unique" || unique=$$empty_fix; \
     382          if test $$# -gt 0; then \
     383            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
     384              "$$@" $$unique; \
     385          else \
     386            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
     387              $$unique; \
     388          fi; \
     389        fi
     390ctags: CTAGS
     391CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
     392                $(TAGS_FILES) $(LISP)
     393        list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
     394        unique=`for i in $$list; do \
     395            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
     396          done | \
     397          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
     398              END { if (nonempty) { for (i in files) print i; }; }'`; \
     399        test -z "$(CTAGS_ARGS)$$unique" \
     400          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
     401             $$unique
    241402
    242403GTAGS:
    243404        here=`$(am__cd) $(top_builddir) && pwd` \
    244           && cd $(top_srcdir) \
    245           && gtags -i $(GTAGS_ARGS) $$here
     405          && $(am__cd) $(top_srcdir) \
     406          && gtags -i $(GTAGS_ARGS) "$$here"
    246407
    247408distclean-tags:
    248         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH
    249 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
    250 
    251 top_distdir = .
    252 distdir = $(PACKAGE)-$(VERSION)
    253 
    254 am__remove_distdir = \
    255   { test ! -d $(distdir) \
    256     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
    257          && rm -fr $(distdir); }; }
    258 
    259 GZIP_ENV = --best
    260 distcleancheck_listfiles = find . -type f -print
     409        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
    261410
    262411distdir: $(DISTFILES)
    263412        $(am__remove_distdir)
    264         mkdir $(distdir)
    265         $(mkinstalldirs) $(distdir)/driver $(distdir)/translator $(distdir)/libcfa
    266         @list='$(DISTFILES)'; for file in $$list; do \
     413        test -d "$(distdir)" || mkdir "$(distdir)"
     414        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
     415        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
     416        list='$(DISTFILES)'; \
     417          dist_files=`for file in $$list; do echo $$file; done | \
     418          sed -e "s|^$$srcdirstrip/||;t" \
     419              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
     420        case $$dist_files in \
     421          */*) $(MKDIR_P) `echo "$$dist_files" | \
     422                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
     423                           sort -u` ;; \
     424        esac; \
     425        for file in $$dist_files; do \
    267426          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
    268           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
    269           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
    270             dir="/$$dir"; \
    271             $(mkinstalldirs) "$(distdir)$$dir"; \
     427          if test -d $$d/$$file; then \
     428            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
     429            if test -d "$(distdir)/$$file"; then \
     430              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
     431            fi; \
     432            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
     433              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
     434              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
     435            fi; \
     436            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
    272437          else \
    273             dir=''; \
    274           fi; \
    275           if test -d $$d/$$file; then \
    276             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
    277               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
    278             fi; \
    279             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
    280           else \
    281             test -f $(distdir)/$$file \
    282             || cp -p $$d/$$file $(distdir)/$$file \
     438            test -f "$(distdir)/$$file" \
     439            || cp -p $$d/$$file "$(distdir)/$$file" \
    283440            || exit 1; \
    284441          fi; \
    285442        done
    286         list='$(SUBDIRS)'; for subdir in $$list; do \
     443        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
    287444          if test "$$subdir" = .; then :; else \
    288             test -d $(distdir)/$$subdir \
    289             || mkdir $(distdir)/$$subdir \
     445            test -d "$(distdir)/$$subdir" \
     446            || $(MKDIR_P) "$(distdir)/$$subdir" \
    290447            || exit 1; \
    291             (cd $$subdir && \
     448          fi; \
     449        done
     450        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
     451          if test "$$subdir" = .; then :; else \
     452            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
     453            $(am__relativize); \
     454            new_distdir=$$reldir; \
     455            dir1=$$subdir; dir2="$(top_distdir)"; \
     456            $(am__relativize); \
     457            new_top_distdir=$$reldir; \
     458            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
     459            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
     460            ($(am__cd) $$subdir && \
    292461              $(MAKE) $(AM_MAKEFLAGS) \
    293                 top_distdir="$(top_distdir)" \
    294                 distdir=../$(distdir)/$$subdir \
     462                top_distdir="$$new_top_distdir" \
     463                distdir="$$new_distdir" \
     464                am__remove_distdir=: \
     465                am__skip_length_check=: \
     466                am__skip_mode_fix=: \
    295467                distdir) \
    296468              || exit 1; \
    297469          fi; \
    298470        done
    299         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
     471        -test -n "$(am__skip_mode_fix)" \
     472        || find "$(distdir)" -type d ! -perm -755 \
     473                -exec chmod u+rwx,go+rx {} \; -o \
    300474          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
    301475          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
    302           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
    303         || chmod -R a+r $(distdir)
     476          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
     477        || chmod -R a+r "$(distdir)"
    304478dist-gzip: distdir
    305         $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
     479        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
     480        $(am__remove_distdir)
     481
     482dist-bzip2: distdir
     483        tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
     484        $(am__remove_distdir)
     485
     486dist-lzip: distdir
     487        tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
     488        $(am__remove_distdir)
     489
     490dist-lzma: distdir
     491        tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
     492        $(am__remove_distdir)
     493
     494dist-xz: distdir
     495        tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
     496        $(am__remove_distdir)
     497
     498dist-tarZ: distdir
     499        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
     500        $(am__remove_distdir)
     501
     502dist-shar: distdir
     503        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
     504        $(am__remove_distdir)
     505
     506dist-zip: distdir
     507        -rm -f $(distdir).zip
     508        zip -rq $(distdir).zip $(distdir)
    306509        $(am__remove_distdir)
    307510
    308511dist dist-all: distdir
    309         $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
     512        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
    310513        $(am__remove_distdir)
    311514
     
    314517# tarfile.
    315518distcheck: dist
    316         $(am__remove_distdir)
    317         GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
     519        case '$(DIST_ARCHIVES)' in \
     520        *.tar.gz*) \
     521          GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
     522        *.tar.bz2*) \
     523          bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
     524        *.tar.lzma*) \
     525          lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
     526        *.tar.lz*) \
     527          lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
     528        *.tar.xz*) \
     529          xz -dc $(distdir).tar.xz | $(am__untar) ;;\
     530        *.tar.Z*) \
     531          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
     532        *.shar.gz*) \
     533          GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
     534        *.zip*) \
     535          unzip $(distdir).zip ;;\
     536        esac
    318537        chmod -R a-w $(distdir); chmod a+w $(distdir)
    319         mkdir $(distdir)/=build
    320         mkdir $(distdir)/=inst
     538        mkdir $(distdir)/_build
     539        mkdir $(distdir)/_inst
    321540        chmod a-w $(distdir)
    322         dc_install_base=`$(am__cd) $(distdir)/=inst && pwd` \
    323           && cd $(distdir)/=build \
    324           && ../configure --srcdir=.. --prefix=$$dc_install_base \
     541        test -d $(distdir)/_build || exit 0; \
     542        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
     543          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
     544          && am__cwd=`pwd` \
     545          && $(am__cd) $(distdir)/_build \
     546          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
     547            $(AM_DISTCHECK_CONFIGURE_FLAGS) \
    325548            $(DISTCHECK_CONFIGURE_FLAGS) \
    326549          && $(MAKE) $(AM_MAKEFLAGS) \
     
    330553          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
    331554          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
    332           && (test `find $$dc_install_base -type f -print | wc -l` -le 1 \
    333               || { echo "ERROR: files left after uninstall:" ; \
    334                    find $$dc_install_base -type f -print ; \
    335                    exit 1; } >&2 ) \
    336           && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \
    337           && rm -f $(distdir).tar.gz \
    338           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
    339         $(am__remove_distdir)
    340         @echo "$(distdir).tar.gz is ready for distribution" | \
    341           sed 'h;s/./=/g;p;x;p;x'
     555          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
     556                distuninstallcheck \
     557          && chmod -R a-w "$$dc_install_base" \
     558          && ({ \
     559               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
     560               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
     561               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
     562               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
     563                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
     564              } || { rm -rf "$$dc_destdir"; exit 1; }) \
     565          && rm -rf "$$dc_destdir" \
     566          && $(MAKE) $(AM_MAKEFLAGS) dist \
     567          && rm -rf $(DIST_ARCHIVES) \
     568          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
     569          && cd "$$am__cwd" \
     570          || exit 1
     571        $(am__remove_distdir)
     572        @(echo "$(distdir) archives ready for distribution: "; \
     573          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
     574          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
     575distuninstallcheck:
     576        @test -n '$(distuninstallcheck_dir)' || { \
     577          echo 'ERROR: trying to run $@ with an empty' \
     578               '$$(distuninstallcheck_dir)' >&2; \
     579          exit 1; \
     580        }; \
     581        $(am__cd) '$(distuninstallcheck_dir)' || { \
     582          echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
     583          exit 1; \
     584        }; \
     585        test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
     586           || { echo "ERROR: files left after uninstall:" ; \
     587                if test -n "$(DESTDIR)"; then \
     588                  echo "  (check DESTDIR support)"; \
     589                fi ; \
     590                $(distuninstallcheck_listfiles) ; \
     591                exit 1; } >&2
    342592distcleancheck: distclean
    343         if test '$(srcdir)' = . ; then \
     593        @if test '$(srcdir)' = . ; then \
    344594          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
    345595          exit 1 ; \
    346596        fi
    347         test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
    348           || { echo "ERROR: files left after distclean:" ; \
     597        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
     598          || { echo "ERROR: files left in build directory after distclean:" ; \
    349599               $(distcleancheck_listfiles) ; \
    350600               exit 1; } >&2
     
    354604installdirs: installdirs-recursive
    355605installdirs-am:
    356 
    357606install: install-recursive
    358607install-exec: install-exec-recursive
     
    365614installcheck: installcheck-recursive
    366615install-strip:
    367         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
    368           INSTALL_STRIP_FLAG=-s \
    369           `test -z '$(STRIP)' || \
    370             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
     616        if test -z '$(STRIP)'; then \
     617          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
     618            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
     619              install; \
     620        else \
     621          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
     622            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
     623            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
     624        fi
    371625mostlyclean-generic:
    372626
     
    374628
    375629distclean-generic:
    376         -rm -f Makefile $(CONFIG_CLEAN_FILES)
     630        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
     631        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
    377632
    378633maintainer-clean-generic:
     
    385640distclean: distclean-recursive
    386641        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
     642        -rm -f Makefile
    387643distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
    388644
     
    391647dvi-am:
    392648
     649html: html-recursive
     650
     651html-am:
     652
    393653info: info-recursive
    394654
     
    397657install-data-am:
    398658
     659install-dvi: install-dvi-recursive
     660
     661install-dvi-am:
     662
    399663install-exec-am:
    400664
     665install-html: install-html-recursive
     666
     667install-html-am:
     668
    401669install-info: install-info-recursive
    402670
     671install-info-am:
     672
    403673install-man:
     674
     675install-pdf: install-pdf-recursive
     676
     677install-pdf-am:
     678
     679install-ps: install-ps-recursive
     680
     681install-ps-am:
    404682
    405683installcheck-am:
     
    407685maintainer-clean: maintainer-clean-recursive
    408686        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
    409         -rm -rf autom4te.cache
     687        -rm -rf $(top_srcdir)/autom4te.cache
     688        -rm -f Makefile
    410689maintainer-clean-am: distclean-am maintainer-clean-generic
    411690
     
    414693mostlyclean-am: mostlyclean-generic
    415694
    416 uninstall-am: uninstall-info-am
    417 
    418 uninstall-info: uninstall-info-recursive
    419 
    420 .PHONY: $(RECURSIVE_TARGETS) GTAGS all all-am check check-am clean \
    421         clean-generic clean-recursive dist dist-all dist-gzip distcheck \
    422         distclean distclean-generic distclean-hdr distclean-recursive \
    423         distclean-tags distcleancheck distdir dvi dvi-am dvi-recursive \
    424         info info-am info-recursive install install-am install-data \
    425         install-data-am install-data-recursive install-exec \
    426         install-exec-am install-exec-recursive install-info \
    427         install-info-am install-info-recursive install-man \
    428         install-recursive install-strip installcheck installcheck-am \
    429         installdirs installdirs-am installdirs-recursive \
    430         maintainer-clean maintainer-clean-generic \
    431         maintainer-clean-recursive mostlyclean mostlyclean-generic \
    432         mostlyclean-recursive tags tags-recursive uninstall \
    433         uninstall-am uninstall-info-am uninstall-info-recursive \
    434         uninstall-recursive
     695pdf: pdf-recursive
     696
     697pdf-am:
     698
     699ps: ps-recursive
     700
     701ps-am:
     702
     703uninstall-am:
     704
     705.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
     706        ctags-recursive install-am install-strip tags-recursive
     707
     708.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
     709        all all-am am--refresh check check-am clean clean-generic \
     710        ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
     711        dist-lzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
     712        distcheck distclean distclean-generic distclean-hdr \
     713        distclean-tags distcleancheck distdir distuninstallcheck dvi \
     714        dvi-am html html-am info info-am install install-am \
     715        install-data install-data-am install-dvi install-dvi-am \
     716        install-exec install-exec-am install-html install-html-am \
     717        install-info install-info-am install-man install-pdf \
     718        install-pdf-am install-ps install-ps-am install-strip \
     719        installcheck installcheck-am installdirs installdirs-am \
     720        maintainer-clean maintainer-clean-generic mostlyclean \
     721        mostlyclean-generic pdf pdf-am ps ps-am tags tags-recursive \
     722        uninstall uninstall-am
     723
    435724
    436725# Tell versions [3.59,3.63) of GNU make to not export all variables.
Note: See TracChangeset for help on using the changeset viewer.